#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main()
{
    ll t;
    cin>>t;
    ll n;
    while(t--){
        cin>>n;
        if(n<10){
          for(int i=1; i<n;i++){
            if(i==n){
                cout<<i<<endl;
                break;
            }
          }
        }
        else if(n>9 and n<25){
            cout<<10<<endl;
        }
        else if{
            cout<<n/3<<endl;
        }
    }
    return 0;
}